Summary:	Remote desktop server
Summary(pl.UTF-8):	Serwer remote desktop
Name:		xrdp
Version:	0.6.1
Release:	2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://download.sourceforge.net/xrdp/%{name}-v%{version}.tar.gz
# Source0-md5:	26099c6588943262023607c1b4e774d8
Source1:	%{name}.init
Source2:	%{name}.pamd
Source3:	%{name}.README.TLD
Source4:	%{name}.README.TLD.pl
Source5:	startwm.sh
Patch0:		format-security.patch
Patch1:		build.patch
Patch2:		link.patch
Patch3:		quiet_start.patch
Patch4:		default_keymap.patch
Patch5:		pidfile_early.patch
Patch6:		reuse_session.patch
Patch7:		config.patch
URL:		http://xrdp.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freerdp-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	/usr/bin/Xvnc
Requires:	rc-scripts
Requires:	xinitrc-ng
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xrdp is an open source Remote Desktop Protocol (rdp) server for
UNIX-like systems. It is capable of accepting connections from
rdesktop and Microsoft's own terminal server / remote desktop clients.

Unlike Windows NT/2000/2003 server, xrdp will not display a Windows
desktop but an X window desktop to the user.

Xrdp uses Xvnc or X11rdp backends to manage the X session.

%description -l pl.UTF-8
xrdp jest serwerem protokołu Remote Desktop (rdp) dla systemów
UNIXowych. Do xrdp można się łączyć zarówno programem rdesktop, jak i
klientami protokołu rdp Microsoftu.

xrdp używa jako backendu Xvnc lub X11rdp.

%prep
%setup -q -n %{name}-v%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

install %{SOURCE3} README.TLD
install %{SOURCE4} README.TLD.pl

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-freerdp1
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{%{name},pam.d,rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/xrdp
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/sesman
%{__rm} -f $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/xrdp-sesman
%{__ln} -s sesman $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/xrdp-sesman
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/lib*.{a,la}
%{__rm} -f $RPM_BUILD_ROOT%{_sysconfdir}/xrdp/startwm.sh
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/xrdp/startwm.sh

%post
/sbin/chkconfig --add xrdp
%service xrdp restart "xrdp server"

%preun
if [ "$1" = "0" ]; then
	%service xrdp stop
	/sbin/chkconfig --del xrdp
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%doc README.TLD
%doc README.TLD.pl
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/sesman
%attr(640,root,root) /etc/pam.d/xrdp-sesman
%attr(754,root,root) /etc/rc.d/init.d/xrdp
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/xrdp.ini
%config(noreplace) %{_sysconfdir}/%{name}/rsakeys.ini
%config(noreplace) %{_sysconfdir}/%{name}/sesman.ini
%{_sysconfdir}/%{name}/km-0407.ini
%{_sysconfdir}/%{name}/km-0409.ini
%{_sysconfdir}/%{name}/km-040c.ini
%{_sysconfdir}/%{name}/km-0410.ini
%{_sysconfdir}/%{name}/km-0419.ini
%{_sysconfdir}/%{name}/km-041d.ini
%attr(755,root,root) %{_sysconfdir}/xrdp/startwm.sh
%attr(755,root,root) %{_bindir}/xrdp-dis
%attr(755,root,root) %{_bindir}/xrdp-genkeymap
%attr(755,root,root) %{_bindir}/xrdp-keygen
%attr(755,root,root) %{_bindir}/xrdp-sesadmin
%attr(755,root,root) %{_bindir}/xrdp-sesrun
%attr(755,root,root) %{_bindir}/xrdp-sestest
%attr(755,root,root) %{_sbindir}/xrdp
%attr(755,root,root) %{_sbindir}/xrdp-chansrv
%attr(755,root,root) %{_sbindir}/xrdp-sesman
%attr(755,root,root) %{_sbindir}/xrdp-sessvc
%dir %{_libdir}/xrdp
%attr(755,root,root) %{_libdir}/xrdp/libcommon.so*
%attr(755,root,root) %{_libdir}/xrdp/libmc.so*
%attr(755,root,root) %{_libdir}/xrdp/librdp.so*
%attr(755,root,root) %{_libdir}/xrdp/libscp.so*
%attr(755,root,root) %{_libdir}/xrdp/libvnc.so*
%attr(755,root,root) %{_libdir}/xrdp/libxrdp.so*
%attr(755,root,root) %{_libdir}/xrdp/libxrdpfreerdp1.so*
%attr(755,root,root) %{_libdir}/xrdp/libxup.so*
%dir %{_datadir}/xrdp
%{_datadir}/xrdp/ad24b.bmp
%{_datadir}/xrdp/ad256.bmp
%{_datadir}/xrdp/cursor0.cur
%{_datadir}/xrdp/cursor1.cur
%{_datadir}/xrdp/sans-10.fv1
%{_datadir}/xrdp/xrdp24b.bmp
%{_datadir}/xrdp/xrdp256.bmp
%{_mandir}/man5/sesman.ini.5*
%{_mandir}/man5/xrdp.ini.5*
%{_mandir}/man8/xrdp-sesman.8*
%{_mandir}/man8/xrdp-sesrun.8*
%{_mandir}/man8/xrdp.8*
%changelog
* Wed Nov 26 2014 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xrdp.git;a=log;h=master

* Wed Nov 26 2014 Marcin Krol <hawk@tld-linux.org> 8eb1331
- apply config patch, include startwm.sh script

* Wed Nov 26 2014 Marcin Krol <hawk@tld-linux.org> 1d30b4b
- script for starting selected WM

* Wed Nov 26 2014 Marcin Krol <hawk@tld-linux.org> 9f57dfd
- updated, can't call scripts outside /etc/xrdp

* Wed Nov 26 2014 Marcin Krol <hawk@tld-linux.org> 242b572
- patch original .ini files
- added reuse session patch from ubuntu
- don't delete *.so, we are referencing them from config file
- no need to run ldconfig

* Wed Nov 26 2014 Marcin Krol <hawk@tld-linux.org> beb5c30
- missing pam.d symlink + rm sesman.ini before install to be sure
  we get correct version packaged

* Wed Nov 26 2014 Marcin Krol <hawk@tld-linux.org> ff65cdb
- patches from debian

* Wed Nov 26 2014 Marcin Krol <hawk@tld-linux.org> 64b912d
- drop kerberos support, we need pam and there is no fallback when
  built with kerberos

* Wed Nov 26 2014 Marcin Krol <hawk@tld-linux.org> 700e1d3
- higher loglevel

* Wed Nov 26 2014 Marcin Krol <hawk@tld-linux.org> 150999e
- comsetics

* Wed Nov 26 2014 Marcin Krol <hawk@tld-linux.org> be109bc
- TLDized

* Wed Nov 26 2014 Marcin Krol <hawk@tld-linux.org> 78be958
- from PLD

